Skip to content

Updates a specific supplier ​

PUT
/v1/suppliers/{supplier_id}

Updates a specific supplier.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

supplier_id*

XS2event ID of the Supplier

Type
string
Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"supplier_role": null,
  
"default_discount_share": null,
  
"default_discount_percentage": null,
  
"vat_number": null,
  
"member_state": null,
  
"url_website": null,
  
"general_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"emergency_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"other_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"technical_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"invoice_address": {
  
  
"country": null,
  
  
"city": null,
  
  
"province": null,
  
  
"number": null,
  
  
"postalcode": null,
  
  
"streetname": null,
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"supplier_products": {
  
  
"categories": [
  
  
  
"string"
  
  
],
  
  
"teams": [
  
  
  
"string"
  
  
],
  
  
"tournaments": [
  
  
  
"string"
  
  
],
  
  
"venues": [
  
  
  
"string"
  
  
]
  
},
  
"supplier_app_name": null,
  
"commission_percentage": null,
  
"general_terms": null,
  
"xs2ticket_checkout": "lead_guest",
  
"default_currency": null,
  
"purchase_channel": "manual",
  
"supplier_status": "active",
  
"commission_fixed": null,
  
"markup_fixed": null,
  
"markup_percentage": null,
  
"emails": [
  
],
  
"foreign_vat_numbers": {
  
  
"additionalProperties": "string"
  
},
  
"distributors_disabled": [
  
  
"string"
  
],
  
"iso_country": null,
  
"selfmanage_products": false,
  
"allowed_distribution_channel_types": [
  
  
"string"
  
],
  
"allowed_distribution_channels": [
  
  
"string"
  
],
  
"allowed_distribution_channel_accesstypes": [
  
  
"string"
  
],
  
"allowed_distribution_methods": [
  
  
"string"
  
],
  
"signed_platform_agreement_date": null,
  
"signed_platform_agreement_version": null
}

Responses​

OK

application/json
JSON
{
  
"name": "string",
  
"supplier_role": null,
  
"default_discount_share": null,
  
"default_discount_percentage": null,
  
"vat_number": null,
  
"member_state": null,
  
"url_website": null,
  
"general_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"emergency_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"other_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"technical_contact": {
  
  
"firstname": null,
  
  
"lastname": null,
  
  
"phonenumber": null,
  
  
"email": null
  
},
  
"invoice_address": {
  
  
"country": null,
  
  
"city": null,
  
  
"province": null,
  
  
"number": null,
  
  
"postalcode": null,
  
  
"streetname": null,
  
  
"streetname2": null,
  
  
"latitude": null,
  
  
"longitude": null
  
},
  
"supplier_products": {
  
  
"categories": [
  
  
  
"string"
  
  
],
  
  
"teams": [
  
  
  
"string"
  
  
],
  
  
"tournaments": [
  
  
  
"string"
  
  
],
  
  
"venues": [
  
  
  
"string"
  
  
]
  
},
  
"supplier_app_name": null,
  
"commission_percentage": null,
  
"general_terms": null,
  
"xs2ticket_checkout": "lead_guest",
  
"default_currency": null,
  
"purchase_channel": "manual",
  
"supplier_status": "active",
  
"commission_fixed": null,
  
"markup_fixed": null,
  
"markup_percentage": null,
  
"emails": [
  
],
  
"foreign_vat_numbers": {
  
  
"additionalProperties": "string"
  
},
  
"distributors_disabled": [
  
  
"string"
  
],
  
"iso_country": null,
  
"selfmanage_products": false,
  
"allowed_distribution_channel_types": [
  
  
"string"
  
],
  
"allowed_distribution_channels": [
  
  
"string"
  
],
  
"allowed_distribution_channel_accesstypes": [
  
  
"string"
  
],
  
"allowed_distribution_methods": [
  
  
"string"
  
],
  
"signed_platform_agreement_date": null,
  
"signed_platform_agreement_version": null
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​